<?php

namespace App\Events;

use Illuminate\Broadcasting\Channel;
use Illuminate\Broadcasting\InteractsWithSockets;
use Illuminate\Broadcasting\PresenceChannel;
use Illuminate\Broadcasting\PrivateChannel;
use Illuminate\Contracts\Broadcasting\ShouldBroadcast;
use Illuminate\Contracts\Broadcasting\ShouldBroadcastNow;
use Illuminate\Foundation\Events\Dispatchable;
use Illuminate\Queue\SerializesModels;

class CompactSrtAndVideoAndCoverImageEvent implements ShouldBroadcastNow
{
    use Dispatchable, InteractsWithSockets, SerializesModels;

    public $progress;
    public $jobId;

    /**
     * Create a new event instance.
     */
    public function __construct($progress, $job_id)
    {
        $this->progress = $progress;
        $this->jobId = $job_id;
    }

    /**
     * Get the channels the event should broadcast on.
     *
     * @return Channel
     */
    public function broadcastOn(): Channel
    {
//        return [
//            new PrivateChannel('channel-name'),
//        ];
        return new Channel('video-progress');
    }

    public function broadcastWith()
    {
        return [
            'job_id' => $this->jobId,
            'progress' => $this->progress
        ];
    }
}
