<?php

namespace App\Events;

use Illuminate\Broadcasting\Channel;
use Illuminate\Broadcasting\InteractsWithSockets;
use Illuminate\Broadcasting\PrivateChannel;
use Illuminate\Contracts\Broadcasting\ShouldBroadcast;
use Illuminate\Contracts\Broadcasting\ShouldBroadcastNow;
use Illuminate\Foundation\Events\Dispatchable;
use Illuminate\Queue\SerializesModels;

class VideoConversionProgress implements ShouldBroadcastNow
{
    use Dispatchable , InteractsWithSockets , SerializesModels;

    public $batchId;
    public $quality;
    public $progress;
    public $convertedVideoPath;

    public function __construct($batchId , $quality , $progress, $converted_video_path = null)
    {
        $this->batchId = $batchId;
        $this->quality = $quality;
        $this->progress = $progress;
        $this->convertedVideoPath = $converted_video_path;
    }

    public function broadcastOn()
    {
        return new Channel('video-conversion');
//        return [
//            new Channel('video-conversion'),
//        ];
    }

    public function broadcastAs()
    {
        return 'video.conversion.progress';
    }

    public function broadcastWith()
    {
        return [
            'batchId' => $this->batchId,
            'quality' => $this->quality,
            'progress' => $this->progress,
            'final_converted_path' => $this->convertedVideoPath
        ];
    }

}

