<?php

namespace App\Jobs;

use App\Models\Video;
use Illuminate\Contracts\Queue\ShouldQueue;
use Illuminate\Foundation\Bus\Dispatchable;
use Illuminate\Foundation\Queue\Queueable;
use Illuminate\Queue\InteractsWithQueue;
use Illuminate\Queue\SerializesModels;
use Illuminate\Support\Facades\Storage;

class ProcessVideoJob implements ShouldQueue
{
    use Queueable, Dispatchable, InteractsWithQueue, SerializesModels;

    public Video $video;

    /**
     * Create a new job instance.
     */
    public function __construct(Video $video)
    {
        $this->video = $video;
    }

    /**
     * Execute the job.
     */
    public function handle(): void
    {
        $videoPath = Storage::path($this->video->path);
        $subtitlePath = str_replace('.mp4', '.srt', $videoPath);
        $command = "/bin/bash -c '/home/reza/anaconda3/bin/python /home/reza/video-subtitle/whisper_script.py {$videoPath} {$subtitlePath} '";
        shell_exec($command);
        $this->video->update(['subtitle_path' => 'subtitles/'.$this->video->id.'.srt']);
    }
}
