<?php

namespace App\Livewire;

use Livewire\Component;
use Illuminate\Support\Facades\Cache;

class VideoProgress extends Component
{
    public $progress = [
        '720p'      => 0,
        '1080p'     => 0,
    ];

   public  $downloadLink720 = null;
    public  $downloadLink1080 = null;

    protected $listeners = ['progressUpdated' => 'handleProgressUpdate'];

//    public function mount()
//    {
//        $this->progress = Cache::get("progress-{$this->batchId}", $this->progress);
//    }
    public function handleProgressUpdate($data = null)
    {
        if (isset($data['quality']) && isset($data['progress'])) {
            $this->progress = array_merge($this->progress, [
                $data['quality'] => $data['progress']
            ]);
        }
        if ($this->progress[$data['quality']] == 100 && $data['quality'] == '720p') {
            $this->downloadLink720 = $data['final_converted_path'];
        }
        if ($this->progress[$data['quality']] == 100 && $data['quality'] == '1080p') {
            $this->downloadLink1080 = $data['final_converted_path'];
        }
    }

    public function render()
    {
        return view('livewire.video-progress');
    }
}
