<?php

namespace App\Services;

class VideoProcessor
{
    /**
     * @throws \Exception
     */
    public function createVideoWithSrtAndCoverImageAndEndImage(string $video_path, string $srt_path, string $cover_image_path, string $end_image_path, string $output_path)
    {
        // مسیر فایل‌های موقت
        $tempVideoWithCover = storage_path('app/temp_video_with_cover.mp4');
        $tempFinalVideo = storage_path('app/temp_final_video.mp4');

        try {
            // 1. اضافه کردن cover_image به ابتدای ویدیو
            shell_exec("ffmpeg -i $cover_image_path -i $video_path -filter_complex \"[0:v:0][1:v:0]concat=n=2:v=1:a=0[outv]\" -map \"[outv]\" $tempVideoWithCover");

            // 2. اضافه کردن زیرنویس به ویدیو
            shell_exec("ffmpeg -i $tempVideoWithCover -vf subtitles=$srt_path $tempFinalVideo");

            // 3. اضافه کردن end_image به انتهای ویدیو
            shell_exec("ffmpeg -i $tempFinalVideo -i $end_image_path -filter_complex \"[0:v:0][1:v:0]concat=n=2:v=1:a=0[outv]\" -map \"[outv]\" $output_path");

            // حذف فایل‌های موقت
            unlink($tempVideoWithCover);
            unlink($tempFinalVideo);

            return $output_path;
        } catch (\Exception $e) {
            // مدیریت خطا
            throw new \Exception("Error processing video: " . $e->getMessage());
        }
    }
}
