<!DOCTYPE html>
<html lang="fa">
<head>
    <meta charset="UTF-8">
    <meta name="csrf-token" content="{{ csrf_token() }}">
    <title>نمایش پیشرفت تبدیل ویدئو</title>
    @vite(['resources/js/app.js', 'resources/css/app.css'])
    @livewireStyles
</head>
<body class="bg-gray-50">
<div class="container mx-auto p-6">
    <livewire:video-progress />
</div>

@livewireScripts
<script type="module">
    function subscribeToChannel() {
        window.Echo.channel('video-conversion')
            .listen('.video.conversion.progress', (e) => {
                console.log('Event received:', e);
                // ارسال رویداد به Livewire جهت به‌روز‌رسانی UI
                // window.Livewire.emitTo('progressUpdated', e);
                Livewire.dispatch('progressUpdated', {data:e});

            });
    }

    // بررسی کنید آیا Livewire از قبل لود شده است یا خیر
    if (window.Livewire) {
        console.log("Livewire is already loaded.");
        subscribeToChannel();
    } else {
        document.addEventListener("livewire:load", () => {
            console.log("livewire:load event fired!");
            subscribeToChannel();
        });
    }
</script>
</body>
</html>
