#!/bin/bash

# Start services
service mariadb start
service redis-server start
service nginx start
supervisord -c /etc/supervisor/supervisord.conf
php-fpm &

# Wait for MySQL to be ready
echo "Waiting for MySQL to start..."
for i in {1..30}; do
    if mysql -u root -e 'SELECT 1;' &> /dev/null; then
        echo "MySQL is ready!"
        break
    else
        echo "MySQL not ready yet, retrying in 1 second..."
        sleep 1
    fi
done

# Create the database if it doesn't exist
mysql -u root -e "SET PASSWORD FOR root@'localhost' = PASSWORD('reza@110');"
mysql -u root -e "FLUSH PRIVILEGES;"
mysql -u root -e "CREATE DATABASE IF NOT EXISTS video_subtitle;"

# Run migrations
php artisan migrate --force

# Keep the container running
tail -f /dev/null
