# import whisper
# import sys
#
# model = whisper.load_model("base")
# video_path = sys.argv[1]
# subtitle_path = sys.argv[2]
#
# # پردازش ویدیو و تولید زیرنویس
# result = model.transcribe(video_path, language="fa")
# with open(subtitle_path, "w", encoding="utf-8") as srt_file:
#     for i, segment in enumerate(result["segments"]):
#         start = segment["start"]
#         end = segment["end"]
#         text = segment["text"]
#         srt_file.write(f"{i+1}\n{start:.3f} --> {end:.3f}\n{text}\n\n")



# import whisper
# import sys
#
# try:
#     # بارگذاری مدل Whisper
#     model = whisper.load_model("base")
#     video_path = sys.argv[1]
#     subtitle_path = sys.argv[2]
#
#     print(f"شروع پردازش ویدیو {video_path}...")
#     result = model.transcribe(video_path, language="fa")
#
#     with open(subtitle_path, "w", encoding="utf-8") as srt_file:
#         for i, segment in enumerate(result["segments"]):
#             start = segment["start"]
#             end = segment["end"]
#             text = segment["text"]
#             srt_file.write(f"{i+1}\n{start:.3f} --> {end:.3f}\n{text}\n\n")
#     print(f"پردازش به پایان رسید و زیرنویس در {subtitle_path} ذخیره شد.")
# except Exception as e:
#     print(f"خطایی رخ داد: {e}")


import whisper
import sys
import torch

# استفاده صریح از CPU
device = torch.device("cpu")
model = whisper.load_model("base", device=device)

video_path = sys.argv[1]
subtitle_path = sys.argv[2]

# پردازش ویدیو و تولید زیرنویس
result = model.transcribe(video_path, language="fa", fp16=False)
with open(subtitle_path, "w", encoding="utf-8") as srt_file:
    for i, segment in enumerate(result["segments"]):
        start = segment["start"]
        end = segment["end"]
        text = segment["text"]
        srt_file.write(f"{i+1}\n{start:.3f} --> {end:.3f}\n{text}\n\n")
